Bug 1018580 - [abrt] shotwell-0.15.0-1.fc20: Exiv2::getUShort: Process /usr/bin/shotwell was killed by signal 7 (SIGBUS)
[abrt] shotwell-0.15.0-1.fc20: Exiv2::getUShort: Process /usr/bin/shotwell wa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:789feb6ecd47f216d97fc9f8726...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 11:35 EDT by Bala Kailash
Modified: 2015-06-29 08:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:37:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.36 KB, text/plain)
2013-10-13 11:36 EDT, Bala Kailash
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-13 11:36 EDT, Bala Kailash
no flags Details
File: core_backtrace (22.14 KB, text/plain)
2013-10-13 11:36 EDT, Bala Kailash
no flags Details
File: dso_list (14.24 KB, text/plain)
2013-10-13 11:36 EDT, Bala Kailash
no flags Details
File: environ (1.33 KB, text/plain)
2013-10-13 11:36 EDT, Bala Kailash
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-13 11:36 EDT, Bala Kailash
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-13 11:36 EDT, Bala Kailash
no flags Details
File: maps (67.24 KB, text/plain)
2013-10-13 11:36 EDT, Bala Kailash
no flags Details
File: open_fds (777 bytes, text/plain)
2013-10-13 11:36 EDT, Bala Kailash
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-10-13 11:36 EDT, Bala Kailash
no flags Details

  None (edit)
Description Bala Kailash 2013-10-13 11:35:56 EDT
Version-Release number of selected component:
shotwell-0.15.0-1.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 3
cmdline:        shotwell '/run/media/bkailash/NIKON D50/DCIM/100NCD50/DSC_2496.NEF'
crash_function: Exiv2::getUShort
executable:     /usr/bin/shotwell
kernel:         3.11.3-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Oct 12 12:03:50 localhost abrt[3875]: Saved core dump of pid 3869 (/usr/bin/shotwell) to /var/tmp/abrt/ccpp-2013-10-12-12:03:49-3869 (46063616 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Exiv2::getUShort at types.cpp:220
 #1 Exiv2::Internal::TiffReader::visitDirectory at tiffvisitor.cpp:1272
 #2 Exiv2::Internal::TiffDirectory::doAccept at tiffcomposite.cpp:917
 #3 Exiv2::Internal::TiffSubIfd::doAccept at tiffcomposite.cpp:932
 #4 Exiv2::Internal::TiffDirectory::doAccept at tiffcomposite.cpp:920
 #5 Exiv2::Internal::TiffParserWorker::parse at tiffimage.cpp:1945
 #6 Exiv2::Internal::TiffParserWorker::decode at tiffimage.cpp:1833
 #7 Exiv2::TiffParser::decode at tiffimage.cpp:240
 #8 Exiv2::TiffImage::readMetadata at tiffimage.cpp:195
 #9 gexiv2_metadata_set_metadata_pixel_height at /lib64/libgexiv2.so.2
Comment 1 Bala Kailash 2013-10-13 11:36:01 EDT
Created attachment 811753 [details]
File: backtrace
Comment 2 Bala Kailash 2013-10-13 11:36:04 EDT
Created attachment 811754 [details]
File: cgroup
Comment 3 Bala Kailash 2013-10-13 11:36:08 EDT
Created attachment 811755 [details]
File: core_backtrace
Comment 4 Bala Kailash 2013-10-13 11:36:12 EDT
Created attachment 811756 [details]
File: dso_list
Comment 5 Bala Kailash 2013-10-13 11:36:15 EDT
Created attachment 811757 [details]
File: environ
Comment 6 Bala Kailash 2013-10-13 11:36:19 EDT
Created attachment 811758 [details]
File: exploitable
Comment 7 Bala Kailash 2013-10-13 11:36:22 EDT
Created attachment 811759 [details]
File: limits
Comment 8 Bala Kailash 2013-10-13 11:36:26 EDT
Created attachment 811760 [details]
File: maps
Comment 9 Bala Kailash 2013-10-13 11:36:30 EDT
Created attachment 811761 [details]
File: open_fds
Comment 10 Bala Kailash 2013-10-13 11:36:33 EDT
Created attachment 811762 [details]
File: proc_pid_status
Comment 11 Fedora End Of Life 2015-05-29 05:34:15 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-06-29 08:37:54 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.